Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 79037 - single-click extends selection
Summary: single-click extends selection
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xterm-color
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-04 21:41 UTC by GeoffLeach
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-04 21:41:18 UTC


Attachments (Terms of Use)

Description GeoffLeach 2002-12-04 21:41:12 UTC
Description of Problem:

Rather than setting the start of a selection, single-click on the left mouse
button extends the selection.  There appears to be no particular reason why a
point on the xterm is chosen as the start.  Double-click acts the same way. 
Clicking with the right button appears to work as advertised.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 GeoffLeach 2002-12-06 00:21:49 UTC
The problem here is that after some hours from restart of the X server the mouse
(PS2, 3-button) starts transmitting a shifted button 1.  Restarting the X server
fixes the problem.  And no, the shift key is not stuck.  When the window manager
is metacity, the behavior begins after 2 or 3 hours, with sawfish, its 5 or 6.


Note You need to log in before you can comment on or make changes to this bug.